Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 605308 - Data loss when saving to gfvs/ssh
Data loss when saving to gfvs/ssh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 11:45 EDT by z117
Modified: 2015-03-03 17:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description z117 2010-06-17 11:45:24 EDT
Description of problem:

Failed to save a file to a filesystem mounted via gvfs/ssh. Reading data is OK, but writing to a file results in file of zero length.


Version-Release number of selected component (if applicable):
gvfs-1.6.2-1.fc13.i686
fuse-2.8.4-1.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. Connect to a server using gnome menu and selecting SSH.
2. Open or create new file on the new-mounted filesystem (with a text editor, for instance I used geany, nano).
3. Type something and save the file.
  
Actual results:
File becomes of 0 bytes size, all information is lost.

Expected results:
Normal storage.

Additional info:
1. Got this on different computers with FC13 connecting to different servers (FC13, SLC3, SLC5).
2. Strange, but if I chdir to .gfvs/sftp on server_name and create a file using "cat > file_name" and printing something, it works as expected.
3. I believe the problem is in gvfs because when I mount the same filesystem using sshfs everything is OK.
Comment 1 Jonathan Dieter 2010-08-21 06:36:37 EDT
I'm seeing this too.  I just lost my favorite picture of my daughter right after birth.
Comment 2 Jonathan Dieter 2010-08-21 06:50:54 EDT
I've opened a bug at the upstream bug tracker at https://bugzilla.gnome.org/show_bug.cgi?id=627567
Comment 3 Bug Zapper 2011-06-02 06:27:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:28:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.